Aden

Interviews

Press / media interviews with the team's artists — link articles, videos, and approvals.

GET
/api/v1/interviews/public/teams/{teamId}

Path Parameters

teamId*string
curl -X GET "https://example.com/api/v1/interviews/public/teams/string"
GET
/api/v1/interviews/public/teams/{teamId}/{slug}

Path Parameters

teamId*string
slug*string
curl -X GET "https://example.com/api/v1/interviews/public/teams/string/string"
GET
/api/v1/interviews/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/interviews/?teamId=string"
POST
/api/v1/interviews/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/interviews/" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "title": "string"  }'
GET
/api/v1/interviews/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/interviews/string"
DELETE
/api/v1/interviews/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/interviews/string"
PUT
/api/v1/interviews/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PUT "https://example.com/api/v1/interviews/string" \  -H "Content-Type: application/json" \  -d '{}'
GET
/api/v1/interviews/{id}/articles

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/interviews/string/articles"
GET
/api/v1/interviews/{id}/videos

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/interviews/string/videos"
GET
/api/v1/interviews/{id}/questions

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/interviews/string/questions"
GET
/api/v1/interviews/questions/team

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/interviews/questions/team?teamId=string"
GET
/api/v1/interviews/by-slug/{teamId}/{slug}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

teamId*string
slug*string
curl -X GET "https://example.com/api/v1/interviews/by-slug/string/string"
Was this helpful?